ps_open_memory_image
ps_rect
PS Functions
PHP Manual

# ps_place_image

(PECL ps:1.1.0-1.3.5)

ps_place_image — Places image on the page

### Description

bool ps_place_image ( resource `$psdoc` , int `$imageid` , float `$x` , float `$y` , float `$scale` )

Places a formerly loaded image on the page. The image can be scaled. If the image shall be rotated as well, you will have to rotate the coordinate system before with ps_rotate().

### Parameters

`psdoc`

  Resource identifier of the postscript file as returned by ps_new().

`imageid`

  The resource identifier of the image as returned by ps_open_image() or ps_open_image_file().

`x`

  x-coordinate of the lower left corner of the image.

`y`

  y-coordinate of the lower left corner of the image.

`scale`

  The scaling factor for the image. A scale of 1.0 will result in a resolution of 72 dpi, because each pixel is equivalent to 1 point.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- ps_open_image()
- ps_open_image_file()

ps_open_memory_image
ps_rect
PS Functions
PHP Manual